Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor Class Reference

Basic ValueObjectVisitor. More...

Inheritance diagram for eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor:

## Public Member Functions
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
| setRouter (RouterInterface $router)
| setTemplateRouter (RouterInterface $templateRouter)
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| serializeBool (Generator $generator, $boolValue)
| Returns a string representation for the given $boolValue. More...
| visitNamesList (Generator $generator, array $names)
| Visits the given list of $names. More...
| visitDescriptionsList (Generator $generator, array $descriptions)
| Visits the given list of $descriptions. More...
| visitTranslatedList (Generator $generator, array $translatedElements, $listName)
| Visits a list of translated elements. More...
| visitLimitation (Generator $generator, Limitation $limitation)
| Visits a limitation. More...
| serializeSortField ($sortField)
| Serializes the given $sortField to a string representation. More...
| serializeSortOrder ($sortOrder)
| Serializes the given $sortOrder to a string representation. More...

## Protected Attributes
| $requestParser
| $router
| $templateRouter

## Detailed Description

Basic ValueObjectVisitor.

Definition at line 17 of file ValueObjectVisitor.php.

## Member Function Documentation

## ◆ serializeBool()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::serializeBool | ( | Generator | $generator,
|  |  | $boolValue
| ) |  |
| protected

Returns a string representation for the given $boolValue.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  bool | $boolValue |

Returns
  mixed

Definition at line 67 of file ValueObjectVisitor.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContent\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestFieldDefinition\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestLocation\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestTrashItem\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUser\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUserGroup\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Location\visitLocationAttributes(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLAlias\visitURLAliasAttributes(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLWildcard\visitURLWildcardAttributes().

## ◆ serializeSortField()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::serializeSortField | ( |  | $sortField | ) |
| protected

Serializes the given $sortField to a string representation.

Parameters

  int | $sortField |

Returns
  string

Definition at line 149 of file ValueObjectVisitor.php.

References eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_CLASS_IDENTIFIER, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_CLASS_NAME, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_CONTENTOBJECT_ID, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_DEPTH, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_MODIFIED, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_MODIFIED_SUBNODE, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_NAME, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_NODE_ID, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_PATH, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_PRIORITY, eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_PUBLISHED, and eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_SECTION.

Referenced by eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ContentTypeCreateStruct\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestLocation\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestTrashItem\visit(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Location\visitLocationAttributes().

## ◆ serializeSortOrder()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::serializeSortOrder | ( |  | $sortOrder | ) |
| protected

Serializes the given $sortOrder to a string representation.

Parameters

  int | $sortOrder |

Returns
  string

Definition at line 188 of file ValueObjectVisitor.php.

References eZ\Publish\API\Repository\Values\Content\Location\SORT_ORDER_ASC, and eZ\Publish\API\Repository\Values\Content\Location\SORT_ORDER_DESC.

Referenced by eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ContentTypeCreateStruct\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestLocation\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestTrashItem\visit(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Location\visitLocationAttributes().

## ◆ setRequestParser()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::setRequestParser | ( | RequestParser | $requestParser | ) |

Definition at line 54 of file ValueObjectVisitor.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\$requestParser.

## ◆ setRouter()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::setRouter | ( | RouterInterface | $router | ) |

Parameters

  \Symfony\Component\Routing\RouterInterface | $router |

Definition at line 44 of file ValueObjectVisitor.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\$router.

## ◆ setTemplateRouter()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::setTemplateRouter | ( | RouterInterface | $templateRouter | ) |

Definition at line 49 of file ValueObjectVisitor.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\$templateRouter.

## ◆ visit()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::visit | ( | Visitor | $visitor,
|  | Generator | $generator,
|  |  | $data
| ) |  |
| abstract

Visit struct returned by controllers.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Visitor | $visitor |
  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  mixed | $data |

Reimplemented in eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\VersionUpdate, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\RestContentCreateStruct, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Location, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\FieldDefinitionCreateStruct, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\VersionTranslationInfo, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\VersionList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\VersionInfo, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\UserSession, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\UserRefList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\UserList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\UserGroupRefList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\UserGroupList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLWildcardList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLWildcard, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLAliasRefList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLAliasList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\URLAlias, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Trash, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\TemporaryRedirect, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\SeeOther, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\SectionList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Section, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Root, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RoleList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RoleAssignmentList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Role, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUserRoleAssignment, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUserGroupRoleAssignment, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUserGroup, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUser, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestTrashItem, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestRelation, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestObjectState, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestLocation, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestFieldDefinition, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContent, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ResourceCreated, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RelationList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\PolicyList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Policy, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\PermanentRedirect, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Options, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\OK, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ObjectStateList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ObjectStateGroupList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ObjectStateGroup, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\NoContent, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\LocationList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ImageVariation, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\FieldDefinitionList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\DeletedUserSession, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedVersion, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedUserGroup, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedUser, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedURLWildcard, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedURLAlias, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedSection, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedRelation, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedPolicy, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedObjectStateGroup, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedObjectState, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedLocation, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedFieldDefinition, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedContentTypeGroup, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedContentType, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedContent, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CountryList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeInfoList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeGroupRefList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeGroupList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeGroup, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentList, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentFieldValidationException, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Conflict, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CachedValue, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\BookmarkList, eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\ContentObjectStates, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ViewInput, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\SessionInput, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\SectionUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\SectionCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\RoleUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\RoleCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\RoleAssignment, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\Query, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\PolicyUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\PolicyCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ObjectStateUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ObjectStateGroupUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ObjectStateGroupCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ObjectStateCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\LocationUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\LocationCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\Limitation, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\Criterion\ContentTypeIdentifier, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ContentTypeGroupUpdateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ContentTypeGroupCreateStruct, eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ContentObjectStates, and eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\ContentTypeCreateStruct.

## ◆ visitDescriptionsList()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::visitDescriptionsList | ( | Generator | $generator,
|  | array | $descriptions
| ) |  |
| protected

Visits the given list of $descriptions.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  array | $descriptions |

Definition at line 89 of file ValueObjectVisitor.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\visitTranslatedList().

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestFieldDefinition\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestObjectState\visit(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ObjectStateGroup\visitObjectStateGroupAttributes().

## ◆ visitLimitation()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::visitLimitation | ( | Generator | $generator,
|  | Limitation | $limitation
| ) |  |
| protected

Visits a limitation.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  \eZ\Publish\API\Repository\Values\User\Limitation | $limitation |

Definition at line 119 of file ValueObjectVisitor.php.

References eZ\Publish\API\Repository\Values\User\Limitation\getIdentifier().

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUserGroupRoleAssignment\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestUserRoleAssignment\visit(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Policy\visitPolicyAttributes().

## ◆ visitNamesList()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::visitNamesList | ( | Generator | $generator,
|  | array | $names
| ) |  |
| protected

Visits the given list of $names.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  array | $names |

Definition at line 78 of file ValueObjectVisitor.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\visitTranslatedList().

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestFieldDefinition\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestObjectState\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ObjectStateGroup\visitObjectStateGroupAttributes(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\VersionInfo\visitVersionInfoAttributes().

## ◆ visitTranslatedList()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::visitTranslatedList | ( | Generator | $generator,
|  | array | $translatedElements,
|  |  | $listName
| ) |  |
| protected

Visits a list of translated elements.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  array | $translatedElements |
  mixed | $listName |

Definition at line 101 of file ValueObjectVisitor.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\visitDescriptionsList(), and eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\visitNamesList().

## Member Data Documentation

## ◆ $requestParser

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::$requestParser
| protected

Definition at line 24 of file ValueObjectVisitor.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\setRequestParser().

## ◆ $router

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::$router
| protected

Definition at line 27 of file ValueObjectVisitor.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\setRouter().

## ◆ $templateRouter

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor::$templateRouter
| protected

Definition at line 30 of file ValueObjectVisitor.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\setTemplateRouter().

The documentation for this class was generated from the following file:

- ValueObjectVisitor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.